# Convo

A (simple, very basic) Jabber/XMPP client for KaiOS

### Development and testing

`yarn dev` builds the app in watch mode and serves the site. Great for testing
it out in a desktop browser.

### Deploying to a device

1. Connect your device to your computer and make sure it appears in WebIDE.
2. `yarn build`
3. In WebIDE, load the `/public` folder as a packaged app.

# Credits and Licensing

- This project is based on the
  [KaiOS Svelte starter](https://github.com/kaios-community/kaios-svelte-starter) (MIT)
- UI components from [KaiOS-native-UI](https://github.com/canicjusz/KaiOS-native-UI) (WTFPL)
- XMPP/Jabber support from [ConverseJS](https://github.com/conversejs/converse.js) ([headless version](https://www.npmjs.com/package/@converse/headless), MPL-2.0)
- Icon created from a combination of [FontAwesome](https://fontawesome.io)'s [comment icon](https://fontawesome.com/icons/comment) and [Icons8](https://icons8.com)'s [XMPP icon](https://icons8.com/icon/djXoPYO4uCXD/xmpp)
